# Interface AddAttachmentOptions

Options that can be used as arguments for the addAttachment() function.

interface AddAttachmentOptions {
attachmentTypes?: string[];
}

#####
Index

### Properties

attachmentTypes?

##
Properties

### `Optional` attachmentTypes

attachmentTypes?: string[]

A list of the valid file MIME types that can be uploaded as attachments. For list of supported attachment types, see: https://developers.arcgis.com/rest/services-reference/enterprise/query-attachments-feature-service-layer-.htm.